Skip to main content
POST
/
audience
/
add-contacts
Python
from superu import SuperU

client = SuperU("YOUR_SUPERU_API_KEY")

payload = {
    "audience_id": "597b3dde-9169-4017-800d-f97a5fabebe3",
    "contacts": [
        {
            "first_name": "Emma",
            "last_name": "Watson",
            "email": "emma@example.com",
            "country_code": "+1",
            "phone_number": "5551234523",
            "variable_values": {
                "key": "value"
            }
        }
    ]
}

response = client.audience.add_contacts(**payload)
print(response)
{
  "message": "Successfully added 1 contact(s) to audience",
  "audience_id": "597b3dde-9169-4017-800d-f97a5fabebe3",
  "audience_name": "Demo Audience - Q1",
  "contacts_added": 1,
  "total_contacts_provided": 1,
  "contacts": [
    {
      "id": "69f9aa813ff1953354e5e428",
      "first_name": "Emma",
      "last_name": "Watson",
      "email": "emma@example.com",
      "country_code": "+1",
      "phone_number": "5551234523"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.superu.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

superU-Api-Key
string
header
required

Your SuperU API key.

Body

application/json

Request body for Add contacts to audience.

Audience Add Contacts Request schema.

audience_id
string
required

Audience ID

Example:

"597b3dde-9169-4017-800d-f97a5fabebe3"

contacts
object[]
required

Contacts value.

Minimum array length: 1

Response

Contacts added

Generic Response schema.

status
string

Status value.

Example:

"success"

message
string

Message value.

Example:

"Request completed successfully"

data
object

Data value.